﻿using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Map;

namespace SilverlightApplication14
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void MapShapeReader_ReadCompleted(object sender, Telerik.Windows.Controls.Map.ReadShapesCompletedEventArgs eventArgs)
        {
            InformationLayer layer = (sender as MapShapeReader).Layer;

            foreach (MapShape mapShape in layer.Items)
            {
                mapShape.CaptionTemplate = this.LayoutRoot.Resources["CaptionTemplate"] as DataTemplate;
                mapShape.CaptionLocation = mapShape.GeographicalBounds.Center;
            }
        }
    }
}
